package cz.cuni.mff.emoticonposhbot_c;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense for seeing another players.
 * 
 * @author Honza
 */
@SuppressWarnings("rawtypes")
@PrimitiveInfo(name = "seePlayer", description = "The bot sees another player,")
public class SeePlayer extends StateSense<EmohawkContext, Boolean>
{

    public SeePlayer(EmohawkContext ctx)
    {
        super("seePlayer", ctx);
    }

    @Override
    public Boolean query(VariableContext params)
    {
        ctx.getLog().info("seePlayer() == " + ctx.getPlayers().canSeePlayers());
        return ctx.getPlayers().canSeePlayers();
    }
}
