package cz.cuni.mff.emoticonposhbot_c;

import cz.cuni.amis.pogamut.sposh.context.EmohawkContext;
import cz.cuni.amis.pogamut.ut2004.bot.impl.UT2004Bot;

/**
 * Context is a class that funsions like a shared object between all primitives.
 * You may use default {@link EmohawkContext} or create custom one, that is extended
 * to fulfill needs of your bot (extended memory, custom map planner and other stuff).
 * 
 * Remmeber to call method {@link EmohawkContext#initialize() }, otherwise you will
 * end up with uninitialized modules and very likely with {@link NullPointerException}.
 * 
 * @author Honza
 */
@SuppressWarnings("rawtypes")
public class EmoticonBotContext extends EmohawkContext<UT2004Bot>
{

    public EmoticonBotContext(UT2004Bot bot)
    {
        super("MoodContext", bot);
        // IMPORTANT: Various modules of context must be initialized.
        initialize();

        // INITIALIZE CUSTOM MODULES
    }
}
